/* BLOCK: Step By Step */

.block-step-by-step .wrap > .text-content {
    text-align: center;
}

.block-step-by-step .swiper {
    margin-inline: calc(-1 * var(--offset, 0px));
    padding-inline: var(--offset, 0px);
}

.block-step-by-step .swiper:not(:first-child) {
    margin-top: 9.375rem;
}

.block-step-by-step .steps-wrapper {
    counter-reset: steps;
}

.block-step-by-step .steps-wrapper .step {
    padding: 2.5rem;
    border-radius: 1.5625rem;
    overflow: hidden;
    height: auto;
    display: flex;
    flex-direction: column;
    counter-increment: steps;
}

.block-step-by-step .steps-wrapper .step::before {
    content: counter( steps );
    font-size: var(--font-18-12);
    font-weight: 700;
    line-height: 1;
    letter-spacing: -0.04em;
    display: grid;
    place-items: center;
    width: 2.5rem;
    height: 2.5rem;
    aspect-ratio: 1;
    border-radius: 50%;
    background-color: var(--c-bg-dark);
    color: var(--c-text-light);
    margin-bottom: 1.875rem;
}

.block-step-by-step .steps-wrapper .step .text-content {
    font-size: var(--font-17-13);
}

.block-step-by-step .steps-wrapper .step .text-content:not(:last-child) {
    margin-bottom: 2.5rem;
}

.block-step-by-step .steps-wrapper .step .text-content > :not(:last-child) {
    margin-bottom: 1.875rem;
}

.block-step-by-step .steps-wrapper .step__image {
    margin: auto -2.5rem 0;
    width: calc(100% + 5rem);
    max-width: unset;
}

.block-step-by-step .cta-buttons {
    justify-content: center;
}

.block-step-by-step .cta-buttons:not(:first-child) {
    margin-top: 6.25rem;
}

@media screen and (width <= 620px) {
    .block-step-by-step .swiper:not(:first-child) {
        margin-top: 4.6875rem;
    }

    .block-step-by-step .steps-wrapper .step {
        padding: 1.375rem;
        border-radius: 1.125rem;
    }

    .block-step-by-step .steps-wrapper .step::before {
        width: 1.625rem;
        height: 1.625rem;
        margin-bottom: 1.125rem;
    }

    .block-step-by-step .steps-wrapper .step .text-content > :not(:last-child) {
        margin-bottom: 1.125rem;
    }

    .block-step-by-step .steps-wrapper .step__image {
        margin: auto -1.375rem 0;
        width: calc(100% + 2.75rem);
    }

    .block-step-by-step .cta-buttons:not(:first-child) {
        margin-top: 3.125rem;
    }
}

@media screen and (width <= 420px) {
    .block-step-by-step .wrap > .text-content {
        max-width: 19.0625rem;
    }
}